## vite 1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(VITE CXX C)

# Add cmake submodules
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/")

# Set c++11 support
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

### The current version number
set(VITE_VERSION_MAJOR 1)
set(VITE_VERSION_MINOR 4)
set(VITE_VERSION_PATCH 0)

# Enable export symbols to load plugins
set(CMAKE_ENABLE_EXPORTS ON)

find_package(Git)
if(GIT_FOUND)
  execute_process(COMMAND ${GIT_EXECUTABLE} show --no-patch --format="%h %aI"
    OUTPUT_VARIABLE VITE_WC_INFO
    ERROR_VARIABLE Git_info_error
    RESULT_VARIABLE Git_info_result
    OUTPUT_STRIP_TRAILING_WHITESPACE)

  if(NOT ${Git_info_result} EQUAL 0)
    set(VITE_WC_REVISION "")
    set(VITE_WC_DATE "")
  else()
    string(REGEX REPLACE "^\"(.*) (.*)\"$"
      "\\1" VITE_WC_REVISION "${VITE_WC_INFO}")
    string(REGEX REPLACE "^\"(.*) (.*)\"$"
      "\\2" VITE_WC_DATE "${VITE_WC_INFO}")
  endif()
endif()

set(VITE_VERSION "${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}.${VITE_VERSION_PATCH}")

if(NOT ${VITE_WC_REVISION} STREQUAL "")
  set(VITE_VERSION "${VITE_VERSION} (${VITE_WC_REVISION})")
endif()


if(NOT ${VITE_WC_DATE} STREQUAL "")
  set(VITE_DATE "\"${VITE_WC_DATE}\"")
else()
  if(UNIX)
    set(_vite_SAVED_LC_ALL "$ENV{LC_ALL}")
    set(ENV{LC_ALL} C)
    set(_vite_SAVED_TZ "$ENV{TZ}")
    set(ENV{TZ} "")

    if(NOT $ENV{SOURCE_DATE_EPOCH} STREQUAL "")
      execute_process(COMMAND date -d @$ENV{SOURCE_DATE_EPOCH} +"%B %Y"
        OUTPUT_VARIABLE VITE_DATE
        ERROR_VARIABLE vite_date_error
        RESULT_VARIABLE vite_date_result
        OUTPUT_STRIP_TRAILING_WHITESPACE)
    else()
      execute_process(COMMAND date +"%B %Y"
        OUTPUT_VARIABLE VITE_DATE
        ERROR_VARIABLE vite_date_error
        RESULT_VARIABLE vite_date_result
        OUTPUT_STRIP_TRAILING_WHITESPACE)
    endif()

    # restore the previous LC_ALL
    set(ENV{LC_ALL} ${_vite_SAVED_LC_ALL})
    # restore the previous TZ
    set(ENV{TZ} ${_vite_SAVED_TZ})
  else()
    set(VITE_DATE "")
  endif()
endif()

message(STATUS "Current revision is ${VITE_VERSION} from ${VITE_DATE}")

if(COMMAND CMAKE_POLICY)
  # CMP0003: add the link paths to the link command as with cmake 2.4
  cmake_policy(SET CMP0003 NEW)
endif()

### Misc options
option(VITE_ENABLE_WARNING         "Enable warning messages from the compiler" OFF)
option(VITE_ENABLE_STATIC_ANALYSIS "Enable warning messages from external static analyzers such as cppcheck" OFF)
option(VITE_ENABLE_COVERAGE        "Enable flags for coverage test" OFF)
include(AuxilaryFlags)

option(BUILD_SHARED_LIBS
  "Build shared libraries" OFF)
option(BUILD_64bits
  "Build 64 bits mode" ON)

option(VITE_ENABLE_MPI
  "Use MPI" OFF)

set(CMAKE_BUILD_TYPE_DROP_LIST "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
include(Sanitizer)
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are None, Debug, Release, RelWithDebInfo, MinSizeRel, ..." FORCE)
endif()

set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS ${CMAKE_BUILD_TYPE_DROP_LIST})

# cmake modules setup
include(CMakeDetermineSystem)
include(CheckCCompilerFlag)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckIncludeFile)
include(CheckIncludeFileCXX)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CMakeDependentOption)
include(CheckCXXSymbolExists)

### Required Packages
# Try to find Qt5 : http://forum.openscenegraph.org/viewtopic.php?t=11431

set(CMAKE_AUTOMOC ON)
#set(CMAKE_AUTORCC ON)
#set(CMAKE_AUTOUIC ON)

set(QT_REQUIRED_VERSION 5.6.0)
find_package(Qt5 ${QT_REQUIRED_VERSION} COMPONENTS Widgets Core Xml OpenGL Charts Svg UiTools QUIET)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050600)
### Renderer option

#OpenGL
cmake_dependent_option(USE_OPENGL "Use OpenGL as renderer module" ON
  "NOT USE_VULKAN" OFF)

#OpenGL with VBO
cmake_dependent_option(VITE_ENABLE_VBO "Enable the support of VBO." ON
  USE_OPENGL OFF)

#Vulkan
#Later must be the default option
option(USE_VULKAN
  "Use Vulkan as renderer module" OFF)

if(USE_OPENGL)
  set(OpenGL_GL_PREFERENCE LEGACY)
  find_package(OpenGL)

  # Can only be used when OpenGL is enabled
endif()

if(USE_VULKAN)
  find_package(Vulkan)
endif()

### Optimization options

option(VITE_ENABLE_SERIALIZATION
  "Enable the support of Boost Serialization." OFF)
option(VITE_ENABLE_MT_PARSERS
  "Enable multi-threading in parsers." OFF)

### Debug options
option(VITE_DBG_MEMORY_USAGE
  "Enable statistic on memory usage." OFF)
cmake_dependent_option(VITE_DBG_MEMORY_TRACE
  "Enable trace generation of memory usage (requires MEMORY_USAGE)." OFF "VITE_DBG_MEMORY_USAGE" OFF)

### Trace format options
option(VITE_ENABLE_OTF2
  "Enable the support of OTF2 file format." OFF)
option(VITE_ENABLE_TAU
  "Enable the support of TAU file format." OFF)

# timeval, timespec, realtime clocks, etc
include(CheckStructHasMember)
check_struct_has_member("struct timespec" tv_nsec time.h HAVE_TIMESPEC_TV_NSEC)
if(NOT HAVE_TIMESPEC_TV_NSEC)
  add_definitions(-D_GNU_SOURCE)
  check_struct_has_member("struct timespec" tv_nsec time.h HAVE_TIMESPEC_TV_NSEC)
endif()
check_library_exists(rt clock_gettime "" HAVE_CLOCK_GETTIME)
if(HAVE_CLOCK_GETTIME)
  set(EXTRA_LIBS "${EXTRA_LIBS};rt")
endif()

# stdlib, stdio, string, getopt, etc
check_include_files(stdarg.h HAVE_STDARG_H)
check_include_files(getopt.h HAVE_GETOPT_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_function_exists(getopt_long HAVE_GETOPT_LONG)
check_include_files(errno.h HAVE_ERRNO_H)
check_include_files(stddef.h HAVE_STDDEF_H)
check_function_exists(getrusage HAVE_GETRUSAGE)
check_include_files(limits.h HAVE_LIMITS_H)
check_include_files(string.h HAVE_STRING_H)

if(${Qt5Widgets_VERSION_STRING} VERSION_GREATER "5.15")
  set(HAVE_QT5_15 ON)
else()
  set(HAVE_QT5_15 OFF)
endif()

add_definitions(
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_KEYWORDS
    -DQT_NO_FOREACH
)

#
# Find optional packages
#

# Search for Boost
#    Components : filesystem, iostreams, programoptions, python, regex,
#                 serialization, signals, system, thread, wave
if(VITE_ENABLE_SERIALIZATION)
  find_package(Boost COMPONENTS serialization thread iostreams system)
endif()

if(VITE_ENABLE_MPI)
  find_package(Boost COMPONENTS mpi)
endif()

if(VITE_ENABLE_VBO)
  find_package(GLEW REQUIRED)
  include_directories(${GLEW_INCLUDE_PATH})
  if(GLM_INC)
    include_directories(${GLM_INC})
    list(APPEND CMAKE_REQUIRED_INCLUDES ${GLM_INC})
  endif()
  check_include_file_cxx(glm/glm.hpp HAVE_GLM_H)
  if(NOT HAVE_GLM_H)
    message(FATAL_ERROR "libglm-dev package is required, you might specify the include directory where to find glm/glm.hpp through -DGLM_INC=/path/to/glm")
  endif()
endif()

if(VITE_ENABLE_OTF2)
  find_package(OTF2)
endif()

if(VITE_ENABLE_TAU)
  find_package(TAU)
endif()

if(VITE_ENABLE_MT_PARSERS)
  add_definitions(-DMT_PARSING)
endif()

if(VITE_DBG_MEMORY_USAGE)
  add_definitions(-DMEMORY_USAGE)
endif()

if(VITE_DBG_MEMORY_TRACE)
  add_definitions(-DMEMORY_TRACE)
endif()

option(VITE_ENABLE_IPO         "Enable interprocedural optimization (IPO/LTO) by the compiler" ON)
if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.9" AND VITE_ENABLE_IPO)
  cmake_policy(SET CMP0069 NEW)
  include(CheckIPOSupported)
  check_ipo_supported(RESULT ipo_supported)
  if(ipo_supported)
    message("interprocedural optimization is supported by the compiler")
    set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
  else()
    message(WARNING "interprocedural optimization is not supported by the compiler")
  endif()
endif()

# Configuration header
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/src/common/ViteConfig.hpp.in"
  "${CMAKE_CURRENT_BINARY_DIR}/src/common/ViteConfig.hpp")

# Vite Desktop file
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/vite.desktop.in"
    "${CMAKE_CURRENT_BINARY_DIR}/vite.desktop")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vite.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/vite.xpm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmap)

add_subdirectory(src)
add_subdirectory(plugins)

include(CPackLists.txt)

=== Makefile ===
#
# This file is part of the ViTE project.
#
# This software is governed by the CeCILL-A license under French law
# and abiding by the rules of distribution of free software. You can
# use, modify and/or redistribute the software under the terms of the
# CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
# URL: "http://www.cecill.info".
# 
# As a counterpart to the access to the source code and rights to copy,
# modify and redistribute granted by the license, users are provided
# only with a limited warranty and the software's author, the holder of
# the economic rights, and the successive licensors have only limited
# liability.
# 
# In this respect, the user's attention is drawn to the risks associated
# with loading, using, modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also
# therefore means that it is reserved for developers and experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards
# their requirements in conditions enabling the security of their
# systems and/or data to be ensured and, more generally, to use and
# operate it in the same conditions as regards security.
# 
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL-A license and that you accept its terms.
#
#
# ViTE developers are (for version 0.* to 1.0):
#
#        - COULOMB Kevin
#        - FAVERGE Mathieu
#        - JAZEIX Johnny
#        - LAGRASSE Olivier
#        - MARCOUEILLE Jule
#        - NOISETTE Pascal
#        - REDONDY Arthur
#        - VUCHENER Clément 
#
#

all:
	cd ./src && qmake -makefile -o Makefile src.pro && make
	@echo " "
	@echo "Compilation completed! File created in 'bin' folder."
	@echo " "

with_otf:
	cd ./src && qmake -makefile -o Makefile "DEFINES+= WITH_OTF" \
		"LIBS+= -lotf -L." \
		"INCLUDES+= " "SOURCES+= parser/ParserOTF.cpp parser/ParserEventOTF.cpp parser/ParserDefinitionOTF.cpp" \
		"HEADERS+= parser/ParserOTF.hpp parser/ParserEventOTF.hpp parser/ParserDefinitionOTF.hpp" && make
	@echo " "
	@echo "Compilation completed! File created in 'bin' folder."
	@echo " "
doc:
	doxygen Doxyfile
	@echo " "
	@echo "Documentation generated successfully!"
	@echo "Please open index.html in '../documentation/html' folder for a web documentation, or use 'make' in the '../documentation/latex' folder for a pdf documentation."
	@echo " "

clean:
	cd ./src && make clean
	@echo " "
	@echo "Cleaned!"
	@echo " "

=== plugins/CMakeLists.txt ===
#
#
#

### ViTE optional plugins
option(VITE_PLUGINS_DISTRIBUTIONS
  "Enable the distribution plugin." OFF)
option(VITE_PLUGINS_TRACEINFOS
  "Enable the TraceInfos plugin." OFF)
option(VITE_PLUGINS_MATRIX_VISUALIZER
  "Enable the MatrixVisualizer plugin." OFF)
option(VITE_PLUGINS_CRITICAL_PATH
  "Enable the CriticalPath plugin." OFF)

include_directories(${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_BINARY_DIR}/src/common)

if(VITE_PLUGINS_DISTRIBUTIONS)
  add_subdirectory(Distribution)
endif()

if(VITE_PLUGINS_TRACEINFOS)
  add_subdirectory(TraceInfos)
endif()

if(VITE_PLUGINS_MATRIX_VISUALIZER)
  add_subdirectory(MatrixVisualizer)
endif()

if(VITE_PLUGINS_CRITICAL_PATH)
  add_subdirectory(CriticalPath)
endif()

=== src/CMakeLists.txt ===
#
# This file is part of the ViTE project.
#
# This software is governed by the CeCILL-A license under French law
# and abiding by the rules of distribution of free software. You can
# use, modify and/or redistribute the software under the terms of the
# CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
# URL: "http://www.cecill.info".
#
# As a counterpart to the access to the source code and rights to copy,
# modify and redistribute granted by the license, users are provided
# only with a limited warranty and the software's author, the holder of
# the economic rights, and the successive licensors have only limited
# liability.
#
# In this respect, the user's attention is drawn to the risks associated
# with loading, using, modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also
# therefore means that it is reserved for developers and experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards
# their requirements in conditions enabling the security of their
# systems and/or data to be ensured and, more generally, to use and
# operate it in the same conditions as regards security.
#
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL-A license and that you accept its terms.
#
# ViTE developers are (for version 0.* to 1.0):
#
#        - COULOMB Kevin
#        - FAVERGE Mathieu
#        - JAZEIX Johnny
#        - LAGRASSE Olivier
#        - MARCOUEILLE Jule
#        - NOISETTE Pascal
#        - REDONDY Arthur
#        - VUCHENER Clement
#        - (RICHART Nicolas)
#
#
set(VITE_UIS
  interface/ui/info_window.ui
  interface/ui/select_info_window.ui
  interface/ui/settings.ui
  interface/ui/main_window.ui
  interface/ui/option_export_window.ui
  interface/ui/list_of_counter_to_export.ui
  interface/ui/node_select.ui
  interface/ui/interval_select.ui
  interface/ui/statistics.ui
  )
  
set(VITE_HDRS
  common/Errors.hpp
  common/Info.hpp
  common/Log.hpp
  common/LogConsole.hpp
  common/Memory.hpp
  common/Message.hpp
  common/Palette.hpp
  common/Session.hpp
  common/Tools.hpp
  common/common.hpp
  # Data structure headers
  trace/values/Color.hpp
  trace/values/Date.hpp
  trace/values/Double.hpp
  trace/values/Hex.hpp
  trace/values/Integer.hpp
  trace/values/Name.hpp
  trace/values/String.hpp
  trace/values/Value.hpp
  trace/values/Values.hpp
  trace/tree/BinaryTree.hpp
  trace/tree/Node.hpp
  trace/tree/Interval.hpp
  trace/ContainerType.hpp
  trace/EntityType.hpp
  trace/EventType.hpp
  trace/StateType.hpp
  trace/LinkType.hpp
  trace/VariableType.hpp
  trace/EntityTypes.hpp
  trace/EntityValue.hpp
  trace/Container.hpp
  trace/Entity.hpp
  trace/Event.hpp
  trace/State.hpp
  trace/StateChange.hpp
  trace/Link.hpp
  trace/Entitys.hpp
  trace/Variable.hpp
  trace/DrawTrace.hpp
  trace/DrawTree.hpp
  trace/Trace.hpp
  trace/IntervalOfContainer.hpp
  # Render headers
  render/GanttDiagram.hpp
  render/Geometry.hpp
  render/Hook_event.hpp
  render/Minimap.hpp
  render/Render_svg.hpp
  render/Ruler.hpp
  render/RenderLayout.hpp
  render/Render_windowed.hpp
  render/Render_abstract.hpp
  # Interface headers
  interface/resource.hpp
  interface/Settings_window.hpp
  interface/Interface_graphic.hpp
  interface/Node_select.hpp
  interface/viteqtreewidget.hpp
  interface/Interval_select.hpp
  interface/RangeSliderWidget.hpp
  # Core header
  core/Core.hpp
  core/getopt.h
  # Parser headers
  parser/ParsingThread.hpp
  parser/ParsingUpdateThread.hpp
  parser/Parser.hpp
  parser/ParserFactory.hpp
  # Paje
  parser/PajeParser/PajeDefinition.hpp
  parser/PajeParser/PajeFileManager.hpp
  parser/PajeParser/ParserDefinitionPaje.hpp
  parser/PajeParser/ParserEventPaje.hpp
  parser/PajeParser/ParserPaje.hpp
  parser/PajeParser/ParserVite.hpp
  # Statistics headers
  statistics/Statistics_window.hpp
  statistics/ChartView.hpp
  statistics/Statistic.hpp
  statistics/Diagram.hpp
  # Plugin header
  plugin/Plugin_window.hpp
  plugin/Plugin.hpp
  )

set(VITE_SRCS
  # Messages & Errors
  common/Errors.cpp
  common/Info.cpp
  common/LogConsole.cpp
  common/Memory.cpp
  common/Message.cpp
  common/Palette.cpp
  common/Session.cpp
  common/Tools.cpp
  # Data structure code files
  trace/values/Color.cpp
  trace/values/Date.cpp
  trace/values/Double.cpp
  trace/values/Hex.cpp
  trace/values/Integer.cpp
  trace/values/Name.cpp
  trace/values/String.cpp
  trace/tree/Interval.cpp
  trace/Container.cpp
  trace/ContainerType.cpp
  trace/DrawTrace.cpp
  trace/Entity.cpp
  trace/EntityType.cpp
  trace/EntityValue.cpp
  trace/Event.cpp
  trace/EventType.cpp
  trace/IntervalOfContainer.cpp
  trace/Link.cpp
  trace/LinkType.cpp
  trace/State.cpp
  trace/StateChange.cpp
  trace/StateType.cpp
  trace/Trace.cpp
  trace/Variable.cpp
  trace/VariableType.cpp
  # Render code files
  render/GanttDiagram.hpp
  render/Geometry.cpp
  render/Hook_event.cpp
  render/Minimap.cpp
  render/RenderLayout.cpp
  render/Render_svg.cpp
  render/Ruler.cpp
  render/Render_abstract.cpp
  # Parser code files
  parser/Parser.cpp
  parser/ParserFactory.cpp
  parser/ParsingThread.cpp
  parser/ParsingUpdateThread.cpp
  # Paje Parser
  parser/PajeParser/PajeDefinition.cpp
  parser/PajeParser/PajeFileManager.cpp
  parser/PajeParser/ParserDefinitionPaje.cpp
  parser/PajeParser/ParserEventPaje.cpp
  parser/PajeParser/ParserPaje.cpp
  parser/PajeParser/ParserVite.cpp
  # Statistics code files
  statistics/Statistic.cpp
  statistics/ChartView.cpp
  statistics/Statistics_window.cpp
  statistics/Diagram.cpp
  # Interface code files
  interface/Interface_graphic.cpp
  interface/Interval_select.cpp
  interface/Node_select.cpp
  interface/Settings_window.cpp
  interface/RangeSliderWidget.cpp
  interface/viteqtreewidget.cpp
  # Plugin code file
  plugin/Plugin.cpp
  plugin/Plugin_window.cpp
  # Core code files
  core/Core.cpp
  core/getopt.c
  # Main
  main.cpp
  )
  
set(VITE_RCCS
  interface/ui/vite.qrc
  )

#############################################
#           Renderer
#############################################

if(USE_OPENGL)
  message("OpenGL will be used")
  set(VITE_HDRS
    ${VITE_HDRS}
    render/opengl/Render_opengl.hpp
    )

  set(VITE_SRCS
    ${VITE_SRCS}
    render/opengl/Render_opengl.cpp
    )
endif()

if(USE_VULKAN)
  message("Vulkan will be used")
  message(WARNING "The Vulkan version is not yet finished")
  set(VITE_HDRS
    ${VITE_HDRS}
    render/vulkan/Render_vulkan.hpp
    render/vulkan/Vulkan_window.hpp
    render/vulkan/Vulkan_window_renderer.hpp
    render/vulkan/Vk_buffer.hpp
    render/vulkan/Vk_vertex_buffer.hpp
    render/vulkan/Vk_uniform_buffer.hpp
    render/vulkan/Vk_pipeline.hpp
    )

  set(VITE_SRCS
    ${VITE_SRCS}
    render/vulkan/Render_vulkan.cpp
    render/vulkan/Vulkan_window.cpp
    render/vulkan/Vulkan_window_renderer.cpp
    render/vulkan/Vk_buffer.cpp
    render/vulkan/Vk_vertex_buffer.cpp
    render/vulkan/Vk_uniform_buffer.cpp
    render/vulkan/Vk_pipeline.cpp
    )
  include_directories(${Vulkan_INCLUDE_DIR})
endif()

#############################################
#                VBO
#############################################
if(VITE_ENABLE_VBO)
  message("OpenGL with VBO will be used")
  set(VITE_HDRS
    ${VITE_HDRS}
    render/vbo/vbo.hpp
    render/vbo/Shader.hpp
    render/vbo/Render_alternate.hpp
    )

  set(VITE_SRCS
    ${VITE_SRCS}
    render/vbo/vbo.cpp
    render/vbo/Shader.cpp
    render/vbo/Render_alternate.cpp
    )
endif()

#############################################
#           QtColorPicker
#############################################
set(QTCOLORPICKERDIR
  ${CMAKE_SOURCE_DIR}/externals/qtcolorpicker/src
  )

set(VITE_HDRS
  ${VITE_HDRS}
  ${QTCOLORPICKERDIR}/qtcolorpicker.h
  )

set(VITE_SRCS
  ${VITE_SRCS}
  ${QTCOLORPICKERDIR}/qtcolorpicker.cpp
  )

#############################################
#              OTF2 Parser
#############################################
if(VITE_ENABLE_OTF2)
  add_definitions(-DWITH_OTF2)

  set(VITE_HDRS
    ${VITE_HDRS}
    parser/OTF2Parser/ParserDefinitionOTF2.hpp
    parser/OTF2Parser/ParserEventOTF2.hpp
    parser/OTF2Parser/ParserOTF2.hpp
    )

  set(VITE_SRCS
    ${VITE_SRCS}
    parser/OTF2Parser/ParserDefinitionOTF2.cpp
    parser/OTF2Parser/ParserEventOTF2.cpp
    parser/OTF2Parser/ParserOTF2.cpp
    )

  include_directories(${OTF2_INCLUDE_DIR})
endif()

#############################################
#              TAU Parser
#############################################
if(VITE_ENABLE_TAU)
  set(VITE_HDRS
    ${VITE_HDRS}
    parser/TauParser/ParserTau.hpp
    parser/TauParser/TauStructs.hpp
    )

  set(VITE_SRCS
    ${VITE_SRCS}
    parser/TauParser/ParserTau.cpp
    )

  include_directories(${TAU_INCLUDE_DIR})
endif()

#############################################
#        Multi-threaded Paje Parser
#############################################
if(VITE_ENABLE_MT_PARSERS)
  set(VITE_HDRS
    ${VITE_HDRS}
    #Multithread Paje
    parser/PajeParser/mt_ParserEventPaje.hpp
    parser/PajeParser/mt_ParserPaje.hpp
    parser/PajeParser/mt_PajeFileManager.hpp
    parser/PajeParser/BuilderThread.hpp
    trace/TraceBuilderThread.hpp
    )

  set(VITE_SRCS
    ${VITE_SRCS}
    #Multithread Paje Parser
    parser/PajeParser/mt_ParserEventPaje.cpp
    parser/PajeParser/mt_ParserPaje.cpp
    parser/PajeParser/mt_PajeFileManager.cpp
    parser/PajeParser/BuilderThread.cpp
    trace/TraceBuilderThread.cpp
    )
endif()

#############################################
#                BOOST
#############################################
if(VITE_ENABLE_SERIALIZATION)
  link_directories(${Boost_LIBRARY_DIRS})
  include_directories(${Boost_INCLUDE_DIRS})
  add_definitions("-DUSE_ITC -DBOOST_SERIALIZE")

  set(VITE_HDRS
    ${VITE_HDRS}
    parser/ParserSplitted.hpp
    trace/IntervalOfContainer.hpp
    trace/SerializerWriter.hpp
    trace/SerializerDispatcher.hpp
    )

  set(VITE_SRCS
    ${VITE_SRCS}
    parser/ParserSplitted.cpp
    trace/IntervalOfContainer.cpp
    trace/SerializerWriter.cpp
    trace/SerializerDispatcher.cpp
    )
endif()

#############################################
#              QT5
#############################################
qt5_wrap_ui(VITE_UIS_H ${VITE_UIS})
qt5_wrap_cpp(VITE_MOC ${VITE_UIS_H} ${VITE_MOC_HDRS})
qt5_add_resources(VITE_RCC_SRCS ${VITE_RCCS})

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/common
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QTCOLORPICKERDIR}
  )

if(VITE_ENABLE_OTF2)
  link_directories(${OTF2_LIBRARY_DIR})
endif()

#resource
if(WIN32)
  set(VITE_RES
    "${PROJECT_SOURCE_DIR}/src/interface/icon/logo.ico"
    "${PROJECT_SOURCE_DIR}/src/interface/windows_icon.rc"
    )
endif()

if(APPLE)
  include_directories(/usr/X11/include)
  set(OSX_ICON_FILES "interface/icon/mac_logo.icns")
  set_source_files_properties(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
  add_executable(vite MACOSX_BUNDLE ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS} ${OSX_ICON_FILES})
  set_target_properties(vite PROPERTIES
    MACOSX_BUNDLE_INFO_STRING "ViTE"
    MACOSX_BUNDLE_ICON_FILE "mac_logo.icns"
    MACOSX_BUNDLE_LONG_VERSION_STRING "Visual Trace Explorer - version ${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
    MACOSX_BUNDLE_BUNDLE_NAME "Vite-MacOSX"
    MACOSX_BUNDLE_SHORT_VERSION_STRING "ViTE-${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
    MACOSX_BUNDLE_BUNDLE_VERSION "1.0"
    MACOSX_BUNDLE_COPYRIGHT "INRIA 2006-2012"
    MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/vite-info.plist.in)
else()
  add_executable(vite ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS} ${VITE_RES})
endif()

#############################################
#              QT5
#############################################
#qt5_use_modules(vite Widgets Core Xml OpenGL UiTools Charts Svg)

=== docs/technical_manual/Makefile ===
SRC = 	technical_manual.tex \
	convention.tex \
	DataStructure.tex \
	introduction.tex \
	interface.tex \
	render.tex \
	render_svg.tex \
	ParserOTF.tex \
	ParserViTE.tex \
	ParserPaje.tex \
	plugin.tex

DOC =	technical_manual

.PHONY	= clean cleanout cleanall

default	: $(DOC).pdf

$(DOC).pdf :  $(DOC).dvi
	dvipdf $(DOC).dvi

$(DOC).dvi :  $(SRC)
	latex $(DOC).tex
	latex $(DOC).tex
	latex $(DOC).tex

clean :
	rm -f *~ *.aux *.log *.toc *.out

cleanout :
	rm -f $(DOC).dvi $(DOC).pdf

cleanall : clean cleanout

=== externals/tau/Makefile ===
#****************************************************************************
#*			TAU Portable Profiling Package			   **
#*			http://www.cs.uoregon.edu/research/tau	           **
#****************************************************************************
#*    Copyright 1997-2000 					   	   **
#*    Department of Computer and Information Science, University of Oregon **
#*    Advanced Computing Laboratory, Los Alamos National Laboratory        **
#*    Research Center Juelich, ZAM Germany                                 **
#****************************************************************************
#######################################################################
##                              TAU (C) 1996                         ##
##           based on TAU/pC++/Sage++  Copyright (C) 1993,1995       ##
##  Indiana University  University of Oregon  University of Rennes   ##
#######################################################################
 
########### Automatically modified by the configure script ############
CONFIG_ARCH=x86_64
CONFIG_CC=gcc
CONFIG_CXX=g++
PCXX_OPT=-g
USER_OPT=-g -O2
#TAUROOT=tau-2.19.2
#######################################################################
 
include include/Makefile

#INTELCXXLIBICC#INTELOPTS = -cxxlib-icc #ENDIF#
############# Standard Defines ##############
CC = $(CONFIG_CC) $(ABI) $(ISA)
CXX = $(CONFIG_CXX) $(ABI) $(ISA) $(INTELOPTS)
TAU_INSTALL = /bin/cp
TAU_SHELL = /bin/sh
LSX = .a
#############################################
#PDT#PDTEXAMPLE = examples/autoinstrument examples/reduce #ENDIF#
#MPI#MPIEXAMPLES = examples/pi examples/NPB2.3 #ENDIF#

# Pete Beckman  (3/16/95)

# This makefile recursively calls MAKE in each subdirectory

#PTX#CC=cc#ENDIF#
LINKER	= $(CC)

# tools EVERYONE needs
#BASIC = utils src/Profile examples/instrument
BASIC = utils src/Profile 

# library and tools
EXPORTS = utils src/Profile 

# Example Programs
EXAMPLES = examples/instrument examples/threads \
examples/cthreads examples/fortran examples/f90 $(MPIEXAMPLES) $(PDTEXAMPLE)

# PC++ Support
#PCXX#PCXX=lang_support/pc++#ENDIF#

# HPC++ Support
#HPCXX#HPCXX=lang_support/hpc++#ENDIF#

# AnsiC Support
#ANSIC#ANSIC=lang_support/ansic#ENDIF#

# Trace Reader Library
TRACEINPUT=src/TraceInput
TRACE2PROFILE=utils/trace2profile

#PERFLIB#BASIC=utils #ENDIF#

#VTF#VTFCONVERTER=utils/vtfconverter#ENDIF#

#TAU2EPILOG#ELGCONVERTER=utils/elgconverter #ENDIF#

#IOWRAPPER#IOWRAPPER=src/wrappers/posixio#ENDIF#

TAUPRELOAD=src/wrappers/taupreload
MEMORYWRAPPER=src/wrappers/memory

# Subdirectories to make resursively
SUBDIR  = $(TRACEINPUT) $(BASIC) $(PCXX) $(HPCXX) $(ANSIC) $(VTFCONVERTER) \
          $(ELGCONVERTER) $(TRACE2PROFILE) $(IOWRAPPER) $(TAUPRELOAD) $(MEMORYWRAPPER)

all:
	@echo "At the installation root, use \"make install\" "

exports : 
	@echo "Determining Configuration..."
	@if [ x`utils/ConfigQuery -arch` = xdefault ] ; then \
          (echo Run the configure script before attempting to compile ; \
           exit 1) ; \
         else echo System previously configured as a `utils/ConfigQuery -arch` ; fi
	@echo "*********** RECURSIVELY MAKING SUBDIRECTORIES ***********"
	@for i in ${EXPORTS}; do (echo "*** COMPILING $$i DIRECTORY"; cd $$i;\
             $(MAKE) "MAKE=$(MAKE)" "CC=$(CC)" "CXX=$(CXX)" "LINKER=$(LINKER)" ); done
	@echo "***************** DONE ************************"

tests: 
	@echo "Determining Configuration..."
	@if [ x`utils/ConfigQuery -arch` = xdefault ] ; then \
          (echo Run the configure script before attempting to compile ; \
           exit 1) ; \
         else echo System previously configured as a `utils/ConfigQuery -arch` ; fi
	@echo "*********** RECURSIVELY MAKING SUBDIRECTORIES ***********"
	@for i in ${EXAMPLES}; do (echo "*** COMPILING $$i DIRECTORY"; cd $$i;\
             $(MAKE) "MAKE=$(MAKE)" "CC=$(CC)" "CXX=$(CXX)" "LINKER=$(LINKER)" ) || exit $$?; done
	@echo "***************** DONE ************************"

install: .clean
	@echo "Determining Configuration..."
	@if [ x`utils/ConfigQuery -arch` = xdefault ] ; then \
          (echo Run the configure script before attempting to compile ; \
           exit 1) ; \
         else echo System previously configured as a `utils/ConfigQuery -arch` ; fi
	@echo "*********** RECURSIVELY MAKING SUBDIRECTORIES ***********"
	@for i in ${SUBDIR}; do (echo "*** COMPILING $$i DIRECTORY"; cd $$i;\
             $(MAKE) "MAKE=$(MAKE)" install ) || exit $$?; done
	@echo "***************** DONE ************************"

.clean:
	@for i in ${SUBDIR} ${EXAMPLES} ; do (cd $$i; $(MAKE) "MAKE=$(MAKE)" clean || exit 0); done
	touch .clean

clean:
	@for i in ${SUBDIR} ${EXAMPLES} ; do (cd $$i; $(MAKE) "MAKE=$(MAKE)" clean || exit 0); done

cleandist:	clean cleangood
cleaninstall:	clean cleangood
cleangood:
	/bin/rm -f make.log
	@echo "Deleting *~ .#* core *.a *.sl *.o *.dep"
	@find . \( -name \*~ -o -name .\#\* -o -name core \) \
	   -exec /bin/rm {} \; -print
	@find . \( -name \*.a -o -name \*.sl -o -name \*.o -o -name \*.dep \) \
	   -exec /bin/rm {} \; -print
	@if [ ! -d $(CONFIG_ARCH)/bin ] ; then true; \
	      else /bin/rm -r $(CONFIG_ARCH)/bin ; fi
	@if [ ! -d $(CONFIG_ARCH)/lib ] ; then true; \
	      else /bin/rm -r $(CONFIG_ARCH)/lib ; fi
	@grep "^#" ./build/Config.info > ./build/Config.info~~0; \
	/bin/rm -f include/tauarch.h include/tau_config.h; \
	/bin/mv ./build/Config.info~~0 ./build/Config.info

.RECURSIVE: ${SUBDIR}

${SUBDIR}: FRC
	cd $@; $(MAKE) "MAKE=$(MAKE)" "CC=$(CC)" "CXX=$(CXX)" "LINKER=$(LINKER)" all

FRC:

=== plugins/CriticalPath/CMakeLists.txt ===
###
#
#  This file is part of the ViTE project.
#
#  This software is governed by the CeCILL-A license under French law
#  and abiding by the rules of distribution of free software. You can
#  use, modify and/or redistribute the software under the terms of the
#  CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
#  URL: "http://www.cecill.info".
#
#    @version 1.2.0
#    @authors BOULLIT Mohamed Fayçal
#    @authors ELOMARI ALOUAI Ismail
#
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

set(CRITICALPATH_HDRS
    CriticalPath.hpp

    ParseDAG.hpp
    ParseTasks.hpp
    ParserStats.hpp
    DrawStats.hpp
)

set(CRITICALPATH_SRCS
    CriticalPath.cpp

    ParseDAG.cpp
    ParseTasks.cpp
    ParserStats.cpp
    DrawStats.cpp
)

set(CRITICALPATH_FORMS_TMP
    CriticalPath.ui
    ${CMAKE_SOURCE_DIR}/src/interface/ui/interval_select.ui
    ${CMAKE_SOURCE_DIR}/src/interface/ui/main_window.ui
    ${CMAKE_SOURCE_DIR}/src/interface/ui/node_select.ui
    ${CMAKE_SOURCE_DIR}/src/interface/ui/settings.ui
)

qt5_wrap_ui(CRITICALPATH_FORMS
  ${CRITICALPATH_FORMS_TMP}
  )

include_directories(${CMAKE_BINARY_DIR}/plugins/CriticalPath)
include_directories(${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_BINARY_DIR}/src)

add_library(CriticalPath SHARED ${CRITICALPATH_SRCS} ${CRITICALPATH_FORMS})

target_link_libraries(CriticalPath
  Qt5::Widgets
  Qt5::Core
  Qt5::Xml
  Qt5::OpenGL
  Qt5::UiTools
  )

set(Boost_USE_STATIC_LIBS OFF)
set(Boost_USE_MULTITHREADED ON)
set(Boost_USE_STATIC_RUNTIME OFF)
find_package(Boost 1.65 REQUIRED COMPONENTS graph)
message(STATUS "Boost version: ${Boost_VERSION}")

target_link_libraries(CriticalPath
  ${QT_LIBRARIES}
  ${OPENGL_gl_LIBRARY}
  ${OPENGL_glu_LIBRARY}
  ${Boost_LIBRARIES}
  )

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  target_link_libraries(CriticalPath
    rt
    )
  add_definitions("-DBOOST_GZIP")
endif()

if(VITE_ENABLE_VBO)
  target_link_libraries(CriticalPath
    ${GLEW_LIBRARY}
    )
endif()

install(TARGETS CriticalPath DESTINATION $ENV{HOME}/.vite)

=== plugins/Distribution/CMakeLists.txt ===
###
#
#  This file is part of the ViTE project.
#
#  This software is governed by the CeCILL-A license under French law
#  and abiding by the rules of distribution of free software. You can
#  use, modify and/or redistribute the software under the terms of the
#  CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
#  URL: "http://www.cecill.info".
#
#    @version 1.2.0
#    @authors COULOMB Kevin
#    @authors FAVERGE Mathieu
#    @authors JAZEIX Johnny
#    @authors LAGRASSE Olivier
#    @authors MARCOUEILLE Jule
#    @authors NOISETTE Pascal
#    @authors REDONDY Arthur
#    @authors VUCHENER Clément
#    @authors RICHART Nicolas
#

set(DISTRIBUTION_hdrs
  Distribution.hpp
)

set(DISTRIBUTION_srcs
  Distribution.cpp
)

add_library(Distribution SHARED ${DISTRIBUTION_srcs})

target_link_libraries(Distribution
  Qt5::Widgets
  Qt5::Core
  )

install(TARGETS Distribution DESTINATION $ENV{HOME}/.vite)

=== plugins/MatrixVisualizer/CMakeLists.txt ===
###
#
#  This file is part of the ViTE project.
#
#  This software is governed by the CeCILL-A license under French law
#  and abiding by the rules of distribution of free software. You can
#  use, modify and/or redistribute the software under the terms of the
#  CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
#  URL: "http://www.cecill.info".
#
#    @version 1.2.0
#    @authors COULOMB Kevin
#    @authors FAVERGE Mathieu
#    @authors JAZEIX Johnny
#    @authors LAGRASSE Olivier
#    @authors MARCOUEILLE Jule
#    @authors NOISETTE Pascal
#    @authors REDONDY Arthur
#    @authors VUCHENER Clément
#    @authors RICHART Nicolas
#

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

configure_file(
    "Configuration.in"
    "Configuration.hpp"
)

set(MATRIXVISUALIZER_hdrs
    MatrixVisualizer.hpp
    Configuration.hpp
    Helper.hpp

    Parsers/Parser.hpp
    Parsers/SymbolParser.hpp
    Parsers/OrderParser.hpp
    Parsers/ValuesParser.hpp

    Formats/SymbolMatrix.hpp
    Parsers/Readers/Pastix.hpp

    Windows/MatrixWindow.hpp
    Windows/MatrixGLWidget.hpp

    Common/Zoom.hpp
    Common/Zooming.hpp
    Common/Quadtree.hpp
)

set(MATRIXVISUALIZER_srcs
    MatrixVisualizer.cpp
    Helper.cpp

    Formats/SymbolMatrix.cpp

    Parsers/SymbolParser.cpp
    Parsers/OrderParser.cpp
    Parsers/ValuesParser.cpp
    Parsers/Readers/Pastix.cpp

    Windows/MatrixWindow.cpp
    Windows/MatrixGLWidget.cpp

    Common/Zoom.cpp
    Common/Zooming.cpp
    Common/Quadtree.cpp
)

set(MATRIXVISUALIZER_forms_tmp
    Plugin.ui
)

qt5_wrap_ui(MATRIXVISUALIZER_forms
  ${MATRIXVISUALIZER_forms_tmp}
  )

include_directories(${CMAKE_BINARY_DIR}/plugins/MatrixVisualizer ${CMAKE_CURRENT_SOURCE_DIR})

add_library(MatrixVisualizer SHARED ${MATRIXVISUALIZER_srcs} ${MATRIXVISUALIZER_forms})

#############################################
#              QT5
#############################################
target_link_libraries(MatrixVisualizer
  Qt5::Widgets
  Qt5::Core
  Qt5::Xml
  Qt5::OpenGL
  Qt5::UiTools
  )

target_link_libraries(MatrixVisualizer
  ${OPENGL_gl_LIBRARY}
  ${OPENGL_glu_LIBRARY}
  ${Boost_LIBRARIES}
  )

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  target_link_libraries(MatrixVisualizer
    rt
    )
  add_definitions("-DBOOST_GZIP")
endif()

if(VITE_ENABLE_VBO)
  target_link_libraries(MatrixVisualizer
    ${GLEW_LIBRARY}
    )
endif()

install(TARGETS MatrixVisualizer DESTINATION $ENV{HOME}/.vite)

=== plugins/TraceInfos/CMakeLists.txt ===
###
#
#  This file is part of the ViTE project.
#
#  This software is governed by the CeCILL-A license under French law
#  and abiding by the rules of distribution of free software. You can
#  use, modify and/or redistribute the software under the terms of the
#  CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
#  URL: "http://www.cecill.info".
#
#    @version 1.2.0
#    @authors COULOMB Kevin
#    @authors FAVERGE Mathieu
#    @authors JAZEIX Johnny
#    @authors LAGRASSE Olivier
#    @authors MARCOUEILLE Jule
#    @authors NOISETTE Pascal
#    @authors REDONDY Arthur
#    @authors VUCHENER Clément
#    @authors RICHART Nicolas
#

set(TRACEINFOS_hdrs
  TraceInfos.hpp
)

set(TRACEINFOS_srcs
  TraceInfos.cpp
)

add_library(TraceInfos SHARED ${TRACEINFOS_srcs})

target_link_libraries(TraceInfos
  Qt5::Widgets
  Qt5::Core
  )

install(TARGETS TraceInfos DESTINATION $ENV{HOME}/.vite)

=== tests/message/Makefile ===


CXX=g++
CXXFLAGS = -Wall -g
BIN_DIR = ../../bin/

SRC_DIR = ../../src/message/

OBJECT_FILE_BIN =  $(BIN_DIR)Message.o

OBJECT_FILE =  Message.o
TEST_FLAGS =  -DVITE_DEBUG

## Qt include path
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4

## Qt libs
LIBS          = -L/usr/lib -L/usr/X11R6/lib -lglut -lGLEW -lQtXml -lQtOpenGL -lQtGui -lQtCore -lQtUiTools -lGLU -lGL -lpthread


all : make_src test_message
	@echo " "
	@echo "Message files compiled successfully ! (test)"
	@echo " "

# All the source files is compiled
make_src:  $(OBJECT_FILE)


test_message: test_message.cpp
	$(CXX) $(CXXFLAGS) $< -o $@ $(OBJECT_FILE_BIN) $(TEST_FLAGS) $(INCPATH)


%.o:$(SRC_DIR)%.cpp $(SRC_DIR)%.hpp
	$(CXX) -c $(CXXFLAGS) $< -o $(BIN_DIR)$@ $(TEST_FLAGS) $(INCPATH)

=== tests/render/Makefile ===
test_ruler: test_Ruler.cpp
	g++ -c test_Ruler.cpp -o test_Ruler.o
	g++ -o test_Ruler test_Ruler.o ../../bin/Ruler.o

render_test: main.cpp Render.hpp Render_opengl.hpp Trace.hpp
	g++ -c Render.hpp -o Render.o
	g++ -c Render_opengl.hpp -o Render_opengl.o
	g++ -c Trace.hpp -o Trace.o
	g++ main.cpp -o render_test -LRender.o -LRender_opengl.o -LTrace.o

clean:
	rm *.o
	rm render_test
	rm test_Ruler
	rm *~

=== debian/changelog ===
vite (1.4-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * watch: Leverage v5.

  [ Philippe SWARTVAGHER ]
  * patches/supertabular: drop, fix applied upstream (Closes: Bug#1126647)
  * control: add myself as uploader
  * control: Bump Standards-Version to 4.7.3:
    + Drop now spurious Rules-Requires-Root
    + Drop now spurious Priority
  * patches/git-cmake4: add "Forwarded" field
  * Add patches/use-svg-icon.patch to ship a SVG icon in the right folder
  * Add patches/metainfo.patch to ship a metainfo file
  * Add superficial autopktest

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 01 Feb 2026 15:02:09 +0100

vite (1.4-5) unstable; urgency=medium

  * copyright: Updated.
  * patches/git-cmake4: Fix build against cmake 4 (Closes: Bug#1113622)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Sep 2025 01:17:43 +0200

vite (1.4-4) unstable; urgency=medium

  * control: Enable otf2 build-dep on all archs but hurd-any
    (Closes: Bug#1111271)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 17 Aug 2025 09:51:36 +0200

vite (1.4-3) unstable; urgency=medium

  * control: Enable otf2 build-dep on all archs but hurd-any
    (Closes: Bug#1111271)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Aug 2025 22:56:09 +0200

vite (1.4-2) unstable; urgency=medium

  * copyright: Update.
  * patches/supertabular: Fix compilation with texlive 2025.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Aug 2025 02:11:18 +0200

vite (1.4-1) unstable; urgency=medium

  * New upstream release
    - Remove all patches, all being applied upstream
  * rules: remove now spurious -D flags
  * rules: build with hardening+=all
  * control: Bump Standards-Version to 4.7.0 (no change)
  * control: Update homepage
  * control: do not build-depend on otf1 (dropped support upstream)
  * copyright: update and convert to DEP5 format
  * Add d/upstream/metadata
  * docs: do not build and ship technical manual anymore
  * Add d/doc-base
  * Remove d/install, upstream now installs everything
  * Remove d/vite.desktop, now installed by upstream
  * Build and ship also vite-vbo, VBO version of vite
  * Add d/watch

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Thu, 25 Jul 2024 12:54:08 +0200

vite (1.2+svn+git4.c6c0ce7-8) unstable; urgency=medium

  * rules: Disable OTF2 on archs where it is not available.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2022 19:38:32 +0100

vite (1.2+svn+git4.c6c0ce7-7) unstable; urgency=medium

  * control: Fix arch exclusion.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2022 13:30:51 +0100

vite (1.2+svn+git4.c6c0ce7-6) unstable; urgency=medium

  * control: Drop otf2 support on archs which don't have the atomics required
    by otf2.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2022 13:02:55 +0100

=== debian/control ===
Source: vite
Section: devel
Maintainer: Samuel Thibault <sthibault@debian.org>
Uploaders: Philippe SWARTVAGHER <phil.swart@gmx.fr>
Build-Depends: debhelper-compat (= 13),
 cmake,
 qttools5-dev,
 libqt5opengl5-desktop-dev, libqt5charts5-dev, libqt5svg5-dev,
 libglm-dev, libglew-dev,
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
 libotf2-trace-dev [!hurd-any],
 texlive-fonts-recommended,
 ghostscript, zlib1g-dev
Standards-Version: 4.7.3
Homepage: https://solverstack.gitlabpages.inria.fr/vite/
Vcs-Browser: https://salsa.debian.org/debian/vite
Vcs-Git: https://salsa.debian.org/debian/vite.git

Package: vite
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Efficient visual trace explorer
 ViTE is a powerful portable and open source profiling tool to visualize
 the behaviour of parallel applications. Thanks to its scalable design,
 ViTE helps programmers to efficiently analyze the performance of
 potentially large applications.
 .
 ViTE currently enables the visualisation of traces using the Pajé format
 (open format, see http://www-id.imag.fr/Logiciels/paje/) and has various
 functionalities such as exporting a view in a svg format to integrate
 the results easily in a report, or viewing statistics.

=== debian/watch ===
Version: 5

Source: https://gitlab.inria.fr/solverstack/@PACKAGE@
Mode: gitlab
Matching-Pattern: @ANY_VERSION@
Uversion-Mangle: s/^v//
